%undefine __cmake_in_source_build
%global framework modemmanager-qt

Name:           kf5-%{framework}
Version:        5.113.0
Release:        1
Summary:        A Tier 1 KDE Frameworks module wrapping ModemManager DBus API
License:        LGPLv2+
URL:            https://invent.kde.org/frameworks/%{framework}

%global majmin %majmin_ver_kf5
%global stable %stable_kf5

Source0:        http://download.kde.org/%{stable}/frameworks/%{majmin}/modemmanager-qt-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-rpm-macros >= %{majmin}

BuildRequires:  ModemManager-devel >= 1.0.0
BuildRequires:  qt5-qtbase-devel

Requires:       kf5-filesystem >= %{majmin}

%description
A Qt 5 library for ModemManager.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       ModemManager-devel
Requires:       qt5-qtbase-devel

%description    devel
Qt 5 libraries and header files for developing applications
that use ModemManager.


%prep
%autosetup -n %{framework}-%{version}


%build
%cmake_kf5

%make_build

%install
%make_install


%ldconfig_scriptlets

%files
%doc README README.md
%license LICENSES/*.txt
%{_kf5_datadir}/qlogging-categories5/*categories
%{_kf5_datadir}/qlogging-categories5/*.categories
%{_kf5_libdir}/libKF5ModemManagerQt.so.*

%files devel
%{_kf5_libdir}/libKF5ModemManagerQt.so
%{_kf5_libdir}/cmake/KF5ModemManagerQt/
%{_kf5_includedir}/ModemManagerQt/


%changelog
* Thu Jan 04 2024 jiangxinyu <jiangxinyu@kylinos.cn> - 5.113.0-1
- Update package to version 5.113.0

* Thu Aug 03 2023 zhangkea <zhangkea@uniontech.cn> - 5.108.0-1
- Update version to 5.108.0

* Fri Apr 28 2023 peijiankang <peijiankang@kylinos.cn> - 5.100.0-1
- Update version to 5.100.0

* Thu Jul 14 2022 misaka00251 <misaka00251@misakanet.cn> - 5.97.0-1
- Init package
